RTEMS: ISS

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
ISS
Board Support Packages » Nios II (nios2)

ISS Board Support Package. More...

## Files
file | bsp.h
| Global BSP definitions.

## Data Structures
struct | altera_avalon_timer_regs
struct | altera_avalon_jtag_uart_regs

## Macros
#define | SYSTEM_BUS_WIDTH 32
#define | JTAG_UART_BASE 0x08000000
#define | JTAG_UART_IRQ 2
#define | CLOCK_BASE 0x08001000
#define | CLOCK_FREQ 50000000
#define | CLOCK_VECTOR 1
#define | TIMER_BASE 0x08002000
#define | TIMER_FREQ 50000000
#define | TIMER_VECTOR 3
#define | NIOS2_BYPASS_CACHE ((uint32_t)0x80000000ul)
#define | NIOS2_IO_BASE(x) ( (void*) ((uint32_t)x | NIOS2_BYPASS_CACHE ) )
#define | NIOS2_IENABLE(x) do{ __builtin_wrctl(3,__builtin_rdctl(3)|x);}while(0)
#define | NIOS2_IRQ_ENABLE(x) do {__builtin_wrctl(3,__builtin_rdctl(3)|x);} while(0)
#define | ALTERA_AVALON_TIMER_STATUS_TO_MSK (0x1)
#define | ALTERA_AVALON_TIMER_STATUS_TO_OFST (0)
#define | ALTERA_AVALON_TIMER_STATUS_RUN_MSK (0x2)
#define | ALTERA_AVALON_TIMER_STATUS_RUN_OFST (1)
#define | ALTERA_AVALON_TIMER_CONTROL_ITO_MSK (0x1)
#define | ALTERA_AVALON_TIMER_CONTROL_ITO_OFST (0)
#define | ALTERA_AVALON_TIMER_CONTROL_CONT_MSK (0x2)
#define | ALTERA_AVALON_TIMER_CONTROL_CONT_OFST (1)
#define | ALTERA_AVALON_TIMER_CONTROL_START_MSK (0x4)
#define | ALTERA_AVALON_TIMER_CONTROL_START_OFST (2)
#define | ALTERA_AVALON_TIMER_CONTROL_STOP_MSK (0x8)
#define | ALTERA_AVALON_TIMER_CONTROL_STOP_OFST (3)
#define | ALTERA_AVALON_JTAG_UART_DATA_DATA_MSK (0x000000FFu)
#define | ALTERA_AVALON_JTAG_UART_DATA_DATA_OFST (0)
#define | ALTERA_AVALON_JTAG_UART_DATA_RVALID_MSK (0x00008000u)
#define | ALTERA_AVALON_JTAG_UART_DATA_RVALID_OFST (15)
#define | ALTERA_AVALON_JTAG_UART_DATA_RAVAIL_MSK (0xFFFF0000u)
#define | ALTERA_AVALON_JTAG_UART_DATA_RAVAIL_OFST (16)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_RE_MSK (0x00000001u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_RE_OFST (0)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WE_MSK (0x00000002u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WE_OFST (1)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_RI_MSK (0x00000100u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_RI_OFST (8)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WI_MSK (0x00000200u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WI_OFST (9)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_AC_MSK (0x00000400u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_AC_OFST (10)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WSPACE_MSK (0xFFFF0000u)
#define | ALTERA_AVALON_JTAG_UART_CONTROL_WSPACE_OFST (16)

## Functions
rtems_isr_entry | set_vector (rtems_isr_entry handler, rtems_vector_number vector, int type)
| Install an interrupt handler.

## Detailed Description

ISS Board Support Package.

## Function Documentation

## ◆ set_vector()

rtems_isr_entry set_vector | ( | rtems_isr_entry | handler,
|  | rtems_vector_number | vector,
|  | int | type
| ) |  |

Install an interrupt handler.

This method installs an interrupt handle.

Parameters

  [in] | handler | is the isr routine
  [in] | vector | is the vector number
  [in] | type | indicates whether RTEMS or RAW intr

Returns
  returns old vector